Bug 11569 - winbindd crashes with samlogon for trusted domain user
winbindd crashes with samlogon for trusted domain user
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.2.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 9918
  Show dependency treegraph
 
Reported: 2015-10-22 16:01 UTC by Noel Power
Modified: 2015-11-17 10:30 UTC (History)
2 users (show)

See Also:


Attachments
patch file (1.77 KB, patch)
2015-10-22 16:01 UTC, Noel Power
no flags Details
patch (1 or 2) file for 4.2.x (1.27 KB, patch)
2015-11-02 10:30 UTC, Noel Power
no flags Details
patch (2 of 2) file for 4.2.x (1.02 KB, patch)
2015-11-02 10:30 UTC, Noel Power
no flags Details
patch (1 of 2) (1.30 KB, patch)
2015-11-03 13:21 UTC, Noel Power
no flags Details
(patch 1 or 2) cherry-pick from master to 4.2.5 (1.19 KB, patch)
2015-11-06 10:05 UTC, Noel Power
jra: review+
Details
patch (2 of 2) cherry-pick from master to 4.2.5 (1.48 KB, patch)
2015-11-06 10:06 UTC, Noel Power
jra: review-
Details
patch (1 of 2) cherry-pick from master to 4.3.1 (1.19 KB, patch)
2015-11-06 10:07 UTC, Noel Power
nopower: review? (metze)
jra: review+
Details
(patch 2 of 2) cherry-pick from master to 4.3.1 (1.48 KB, patch)
2015-11-06 10:07 UTC, Noel Power
jra: review+
nopower: review? (metze)
Details
combined patch (of the two commits) from 4.2.5 from master (2.67 KB, patch)
2015-11-09 09:50 UTC, Noel Power
jra: review+
nopower: review? (metze)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2015-10-22 16:01:48 UTC
Created attachment 11529 [details]
patch file

winbindd will crash in at least 4.1.x & 4.2.x when attempting to authenticate a trusted non 'own' domain user with samlogon (e.g. if we fallback from Kerberos)
Note: the core does not happen in 4.3 or master as cm_connect_netlogon seems to have changed quite a bit in these versions and this scenario is avoided.
Comment 1 Noel Power 2015-11-02 10:30:00 UTC
Created attachment 11564 [details]
patch (1 or 2) file for 4.2.x
Comment 2 Noel Power 2015-11-02 10:30:25 UTC
Created attachment 11565 [details]
patch (2 of 2) file for 4.2.x
Comment 3 Noel Power 2015-11-03 13:21:18 UTC
Created attachment 11571 [details]
patch (1 of 2)
Comment 4 Noel Power 2015-11-06 10:05:34 UTC
Created attachment 11581 [details]
(patch 1 or 2) cherry-pick from master to 4.2.5
Comment 5 Noel Power 2015-11-06 10:06:30 UTC
Created attachment 11582 [details]
patch (2 of 2) cherry-pick from master to 4.2.5
Comment 6 Noel Power 2015-11-06 10:07:10 UTC
Created attachment 11583 [details]
patch (1 of 2) cherry-pick from master to 4.3.1
Comment 7 Noel Power 2015-11-06 10:07:41 UTC
Created attachment 11584 [details]
(patch 2 of 2) cherry-pick from master to 4.3.1
Comment 8 Jeremy Allison 2015-11-06 19:45:51 UTC
Comment on attachment 11581 [details]
(patch 1 or 2) cherry-pick from master to 4.2.5

LGTM - but next time put the two patches together in one attachment by doing:

git format-patch --stdout <refspec1>..<refspec2> > /tmp/patch-file.

Thanks !

Jeremy.
Comment 9 Jeremy Allison 2015-11-06 19:47:31 UTC
Comment on attachment 11582 [details]
patch (2 of 2) cherry-pick from master to 4.2.5

NAK - this won't compile on 4.2.x as DBG_NOTICE/DBG_WARNING etc. don't exist on 4.2. Just use DEBUG(3,("msg" instead.
Comment 10 Jeremy Allison 2015-11-06 20:05:09 UTC
Comment on attachment 11583 [details]
patch (1 of 2) cherry-pick from master to 4.3.1

LGTM.
Comment 11 Jeremy Allison 2015-11-06 20:05:32 UTC
Comment on attachment 11584 [details]
(patch 2 of 2) cherry-pick from master to 4.3.1

LGTM.
Comment 12 Noel Power 2015-11-09 09:50:30 UTC
Created attachment 11588 [details]
combined patch (of the two commits) from 4.2.5 from master

replaced the DEBUG_NOTICE with DEBUG(3,...) sorry about that, should have known better and should have checked, friday afternoon rush :(
Comment 13 Jeremy Allison 2015-11-09 22:05:25 UTC
Re-assigning to Karolin for inclusion in 4.3.next, 4.2.next.
Comment 14 Karolin Seeger 2015-11-16 09:30:23 UTC
(In reply to Jeremy Allison from comment #13)
Pushed to autobuild-v4-[3|2]-test.
Comment 15 Karolin Seeger 2015-11-17 10:30:59 UTC
(In reply to Karolin Seeger from comment #14)
Pushed to both branches.
Closing out bug report.

Thanks!